
Foreman - Bug #12884

Import subnets from smart proxy fails with "Can't mass-assign protected attributes for Subnet:

dhcp"

12/20/2015 04:46 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Rails   

Target version: 1.11.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2992

  

Description

Full stack:

ActiveModel::MassAssignmentSecurity::Error in SubnetsController#import

Can't mass-assign protected attributes for Subnet: dhcp

Extracted source (around line #196):

      next if exists?(attrs)

      attrs.merge!(parse_dhcp_options(s['options'])) if s['options'].present?

      new(attrs.update(:dhcp => proxy))

    end.compact

  end

Rails.root: /home/tbrisker/foreman

Application Trace | Framework Trace | Full Trace

app/models/subnet.rb:196:in `block in import'

app/models/subnet.rb:190:in `map'

app/models/subnet.rb:190:in `import'

app/controllers/subnets_controller.rb:61:in `import'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Request

Parameters:

{"smart_proxy_id"=>"3-proxy-localdomain-net"}

Related issues:

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Associated revisions

Revision e42c1105 - 12/28/2015 02:31 AM - Tomer Brisker

Fixes #12884 - Allow importing subnets from smart proxy

History

#1 - 12/20/2015 04:47 AM - Tomer Brisker

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#2 - 12/20/2015 05:19 AM - The Foreman Bot

05/18/2024 1/2



- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2992 added

#3 - 12/21/2015 09:13 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 12/28/2015 03:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e42c1105d8ea4266f12a1bd076d405af00e09ea7.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e42c1105d8ea4266f12a1bd076d405af00e09ea7
http://www.tcpdf.org

